### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Interface ServiceDeploymentInterface

@SASScope("ALL") @BinaryCompatibilityOnly public interface ServiceDeploymentInterface
This interface contains constants associated with a foundation service deployment.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_IDENTIFIER`
  `SoftwareComponent` ClassIdentifier designating an element that serves as a root level container for foundation services.
  `static final String`
  `CLASS_IDENTIFIER_1_1`
  `SoftwareComponent` ClassIdentifier designating an element that serves as a root level container for foundation services.
  `static final String`
  `CLASS_IDENTIFIER_1_2`
  `SoftwareComponent` ClassIdentifier designating an element that serves as a root level container for foundation services.

- ## Field Details

  - ### CLASS_IDENTIFIER_1_1

    static final String CLASS_IDENTIFIER_1_1
    `SoftwareComponent` ClassIdentifier designating an element that serves as a root level container for foundation services. The literal string value quot;ABC1234567890quot; is used to designate a metadata `SoftwareComponent` as one that is used to represent a foundation service deployment. This value was used for the 1.0 and 1.1 releases.
    See Also:
      - Constant Field Values

  - ### CLASS_IDENTIFIER_1_2

    static final String CLASS_IDENTIFIER_1_2
    `SoftwareComponent` ClassIdentifier designating an element that serves as a root level container for foundation services. The literal string value quot;abc7fd619d0dc4a3:2c1e6b:f6cd2758ff:-7ffbquot; is used to designate a metadata `SoftwareComponent` as one that is used to represent a foundation service deployment. This value is used for the 1.2 release.
    See Also:
      - Constant Field Values

  - ### CLASS_IDENTIFIER

    static final String CLASS_IDENTIFIER
    `SoftwareComponent` ClassIdentifier designating an element that serves as a root level container for foundation services. This value corresponds to the class identifier used for the current version.
    See Also:
      - Constant Field Values